org.apache.hc.client5.http.impl

## Class CookieSpecSupport

- java.lang.Object
- - org.apache.hc.client5.http.impl.CookieSpecSupport

-     @Internal
      public final class CookieSpecSupport
      extends Object

  Cookie support methods.
  Since:
    5.0

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.hc.core5.http.config.Lookup<CookieSpecFactory>` | `createDefault()` Creates the default registry, using the default public suffix matcher.
    `static org.apache.hc.core5.http.config.Lookup<CookieSpecFactory>` | `createDefault(PublicSuffixMatcher publicSuffixMatcher)` Creates the default registry with the provided public suffix matcher
    `static org.apache.hc.core5.http.config.RegistryBuilder<CookieSpecFactory>` | `createDefaultBuilder()` Creates a builder containing the default registry entries with the default public suffix matcher.
    `static org.apache.hc.core5.http.config.RegistryBuilder<CookieSpecFactory>` | `createDefaultBuilder(PublicSuffixMatcher publicSuffixMatcher)` Creates a builder containing the default registry entries, using the provided public suffix matcher.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createDefaultBuilder

          public static org.apache.hc.core5.http.config.RegistryBuilder<CookieSpecFactory> createDefaultBuilder(PublicSuffixMatcher publicSuffixMatcher)

      Creates a builder containing the default registry entries, using the provided public suffix matcher.

    - #### createDefaultBuilder

          public static org.apache.hc.core5.http.config.RegistryBuilder<CookieSpecFactory> createDefaultBuilder()

      Creates a builder containing the default registry entries with the default public suffix matcher.

    - #### createDefault

          public static org.apache.hc.core5.http.config.Lookup<CookieSpecFactory> createDefault()

      Creates the default registry, using the default public suffix matcher.

    - #### createDefault

          public static org.apache.hc.core5.http.config.Lookup<CookieSpecFactory> createDefault(PublicSuffixMatcher publicSuffixMatcher)

      Creates the default registry with the provided public suffix matcher

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.